function setRunning( handles, running )
    set( handles.runFlag, 'Value', running );
    if isfield( handles, 'runColors' )
        setGFtboxBusy( handles, running );
        if running
            theColor = handles.runColors.runningColor;
        else
            theColor = handles.runColors.readyColor;
            clearFlag( handles, 'runFlag' );
        end
        set( handles.runPanel, 'BackgroundColor', theColor );
        c = get( handles.runPanel, 'Children' );
        for i=1:length(c)
            if strcmp( get( c(i), 'Style' ), 'text' )
                set( c(i), 'BackgroundColor', theColor );
            end
        end
    end
    drawnow;
end
